org.apache.hive.jdbc

## Class XsrfHttpRequestInterceptor

- java.lang.Object
- - org.apache.hive.jdbc.XsrfHttpRequestInterceptor

All Implemented Interfaces:
  org.apache.http.HttpRequestInterceptor

    public class XsrfHttpRequestInterceptor
    extends Object
    implements org.apache.http.HttpRequestInterceptor

### Constructor Summary

Constructors
Constructor and Description
`XsrfHttpRequestInterceptor()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `enableHeaderInjection(boolean enabled)`
`void` `process(org.apache.http.HttpRequest httpRequest, org.apache.http.protocol.HttpContext httpContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XsrfHttpRequestInterceptor

    public XsrfHttpRequestInterceptor()

### Method Detail

#### enableHeaderInjection

    public static void enableHeaderInjection(boolean enabled)

#### process

    public void process(org.apache.http.HttpRequest httpRequest,
                        org.apache.http.protocol.HttpContext httpContext)
                 throws org.apache.http.HttpException,
                        IOException

Specified by:
  `process` in interface `org.apache.http.HttpRequestInterceptor`
Throws:
  `org.apache.http.HttpException`
  `IOException`